BinaryGrailsPluginDescriptor (Grails 6.0.0)

Package: org.grails.plugins

## [Java] Class BinaryGrailsPluginDescriptor

- org.grails.plugins.BinaryGrailsPluginDescriptor

-     public class BinaryGrailsPluginDescriptor
      extends java.lang.Object

  Holds a reference to the parsed grails-plugin.xml descriptor and the resource used to parse the descriptor

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.util.slurpersupport.GPathResult` | `parsedXml` |
    `private java.util.List<java.lang.String>` | `providedlassNames` |
    `private org.springframework.core.io.Resource` | `resource` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryGrailsPluginDescriptor (org.springframework.core.io.Resource resource, java.util.List<java.lang.String> providedlassNames)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public groovy.util.slurpersupport.GPathResult` | `getParsedXml()` Returns: The parsed descriptor
    `` | `public java.util.List<java.lang.String>` | `getProvidedlassNames()` Returns: The class names provided by the plugin
    `` | `public org.springframework.core.io.Resource` | `getResource()` The resource the descriptor was parsed from

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private groovy.util.slurpersupport.GPathResult parsedXml

    - #### private final java.util.List<java.lang.String> providedlassNames

    - #### private final org.springframework.core.io.Resource resource

  - ### Constructor Detail

    - #### public BinaryGrailsPluginDescriptor(org.springframework.core.io.Resource resource, java.util.List<java.lang.String> providedlassNames)

  - ### Method Detail

    - #### public groovy.util.slurpersupport.GPathResult getParsedXml()

      Returns:
        The parsed descriptor

    - #### public java.util.List<java.lang.String> getProvidedlassNames()

      Returns:
        The class names provided by the plugin

    - #### public org.springframework.core.io.Resource getResource()

      The resource the descriptor was parsed from

      Returns:
        The resource instance